local E, L, V, P, G = unpack(ElvUI)
local IsAddOnLoaded = IsAddOnLoaded
local format = string.format
local MyPluginName = "GennUI"
local GNUI = E:GetModule("GennUI");
local UF = E:GetModule('UnitFrames')
local classColor = E:ClassColor(E.myclass, true)

function GNUI:SetupGlobalPrivate()
-- General
E.db["general"]["valuecolor"]["r"] = classColor.r
E.db["general"]["valuecolor"]["g"] = classColor.g
E.db["general"]["valuecolor"]["b"] = classColor.b
E.db["general"]["altPowerBar"]["statusBarColor"]["b"] = classColor.b
E.db["general"]["altPowerBar"]["statusBarColor"]["g"] = classColor.g
E.db["general"]["altPowerBar"]["statusBarColor"]["r"] = classColor.r
E.db["general"]["altPowerBar"]["font"] = "Century Gothic Bold"
E.db["general"]["altPowerBar"]["smoothbars"] = true
E.db["general"]["altPowerBar"]["statusBar"] = "GennUI Melli"
E.db["general"]["autoRepair"] = "GUILD"
E.db["general"]["autoTrackReputation"] = true
E.db["general"]["bottomPanel"] = false
E.db["general"]["font"] = "Century Gothic Bold"
E.db["general"]["fontSize"] = 11
E.db["general"]["interruptAnnounce"] = "SAY"
E.db["general"]["itemLevel"]["itemLevelFont"] = "Century Gothic Bold"
E.db["general"]["itemLevel"]["itemLevelFontSize"] = 10
E.db["general"]["minimap"]["locationFont"] = "Century Gothic Bold"
E.db["general"]["minimap"]["locationText"] = "SHOW"
E.db["general"]["minimap"]["size"] = 150
E.db["general"]["talkingHeadFrameScale"] = 0.75

-- Private
E.private["general"]["chatBubbleFont"] = "Century Gothic Bold"
E.private["general"]["chatBubbleFontOutline"] = "OUTLINE"
E.private["general"]["chatBubbleFontSize"] = 12
E.private["general"]["dmgfont"] = "Century Gothic Bold"
E.private["general"]["glossTex"] = "GennUI Melli"
E.private["general"]["namefont"] = "Century Gothic Bold"
E.private["general"]["normTex"] = "GennUI Melli"

-- Global
E.global["datatexts"]["settings"]["Friends"]["hideApp"] = true
E.global["datatexts"]["settings"]["Friends"]["hideBSAp"] = true
E.global["datatexts"]["settings"]["Friends"]["hideD3"] = true
E.global["datatexts"]["settings"]["Friends"]["hideHero"] = true
E.global["datatexts"]["settings"]["Friends"]["hidePro"] = true
E.global["datatexts"]["settings"]["Friends"]["hideS1"] = true
E.global["datatexts"]["settings"]["Friends"]["hideS2"] = true
E.global["datatexts"]["settings"]["Friends"]["hideVIPR"] = true
E.global["datatexts"]["settings"]["Friends"]["hideWTCG"] = true
E.global["datatexts"]["settings"]["Gold"]["goldCoins"] = false
E.global["datatexts"]["settings"]["Gold"]["goldFormat"] = "BLIZZARD"
E.global["general"]["commandBarSetting"] = "DISABLED"
E.global["uiScaleInformed"] = true
E.global["general"]["UIScale"] = 0.64

-- Filters
--> Heavy Stagger
E.global.unitframe.aurafilters.Whitelist.spells[124273] = { enable = true, priority = 0 }
E.global.unitframe.aurafilters.Blacklist.spells[124273] = { enable = false, priority = 0 }
--> Challenger's Might
E.global.unitframe.aurafilters.Blacklist.spells[206150] = { enable = true, priority = 0 }
--> Challenger's Burden
E.global.unitframe.aurafilters.Blacklist.spells[206151] = { enable = true, priority = 0 }
--> Adaptive Swarm (Druid - Necrolord)
E.global.unitframe.aurawatch.DRUID[325748] = UF:AuraWatch_AddSpell(325748, 'CENTER')
E.global.unitframe.aurawatch.DRUID[325748] = { enabled = true, color = { r = 0.13, g = 0.42, b = 0.13 }, id = 325748, point = 'CENTER', style = 'texturedIcon', sizeOffset = 12, xOffset = -30, yOffset = -2 }

end